Bug 862496 - [WebTrans] concurrent user editing detection should only need TransUnitId
[WebTrans] concurrent user editing detection should only need TransUnitId
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 00:34 EDT by Patrick Huang
Modified: 2013-02-25 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.3-SNAPSHOT (20121108-0033)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 22:46:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-10-03 00:34:06 EDT
Description of problem:
[DEV] only!
At the moment for each user in same workspace, we publish user's selected translation unit and broadcast the event to the whole workspace domain. This is to be able to detect concurrent editing of same translation by multiple users. However what we really need to broadcast is just the translation unit's id not the whole object. 

Version-Release number of selected component (if applicable):
2.0 and below

How reproducible:
n/a

Steps to Reproduce:
n/a
  
Actual results:
entire translation unit is broadcasted and wasted bandwidth and memory. 

Expected results:
only broadcast translation unit id.

Additional info:
@see org.zanata.webtrans.server.TranslationWorkspace
@see org.zanata.webtrans.shared.rpc.TransUnitEdit
@see org.zanata.webtrans.server.TranslationWorkspaceImpl
@see org.zanata.webtrans.shared.model.PersonSessionDetails
Comment 1 Patrick Huang 2012-11-05 18:57:45 EST
committed into master:
https://github.com/zanata/zanata/commit/c90605c2e7d8702e6206bcaace89d4c64e9061bd
Comment 2 Ding-Yi Chen 2012-11-07 19:57:52 EST
Change seems reasonable and it does not break the system.
VERIFIED with Zanata version 2.0.3-SNAPSHOT (20121108-0033)

Note You need to log in before you can comment on or make changes to this bug.